This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### quadraticVertex()
Examples |
    noFill();
    strokeWeight(4);
    beginShape();
    vertex(20, 20);
    quadraticVertex(80, 20, 50, 50);
    endShape();
    noFill();
    strokeWeight(4);
    beginShape();
    vertex(20, 20);
    quadraticVertex(80, 20, 50, 50);
    quadraticVertex(20, 80, 80, 80);
    vertex(80, 60);
    endShape();
Description | Specifies vertex coordinates for quadratic Bezier curves. Each call to quadraticVertex() defines the position of one control points and one anchor point of a Bezier curve, adding a new segment to a line or shape. The first time quadraticVertex() is used within a beginShape() call, it must be prefaced with a call to vertex() to set the first anchor point. This function must be used between beginShape() and endShape() and only when there is no MODE parameter specified to beginShape(). Using the 3D version requires rendering with P3D (see the Environment reference for more information).
Syntax |
    quadraticVertex(cx, cy, x3, y3)
    quadraticVertex(cx, cy, cz, x3, y3, z3)
Parameters |
cx | float: the x-coordinate of the control point
cy | float: the y-coordinate of the control point
x3 | float: the x-coordinate of the anchor point
y3 | float: the y-coordinate of the anchor point
cz | float: the z-coordinate of the control point
z3 | float: the z-coordinate of the anchor point
Returns | void
Related | curveVertex() vertex() bezierVertex() bezier()

Updated on October 26, 2013 08:58:31pm PDT